"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatedCollection = void 0;
class TranslatedCollection {
  constructor(props, id) {
    this.props = props;
    this.id = id;
  }
  getId() {
    return this.id;
  }
  setId(id) {
    if (!this.id) {
      this.id = id;
    }
  }
  getCollectionId() {
    return this.props.collectionId;
  }
  getLanguageCode() {
    return this.props.languageCode;
  }
  getItems() {
    return this.props.items;
  }
  setItems(items) {
    this.props.items = items;
  }
  updateItems(newItems) {
    const items = this.getItems().map(item => {
      const newItem = newItems.find(newItem => newItem.itemId === item.itemId);

      // You can't set an item that doesn't exist in the original collection.
      if (!newItem) {
        return item;
      }
      if (newItem.value !== item.value) {
        return newItem;
      }
      return item;
    });
    this.props.items = items;
  }
  getTranslatedValue(itemId) {
    const item = this.getItems().find(item => item.itemId === itemId);
    return item ? item.value : undefined;
  }
}
exports.TranslatedCollection = TranslatedCollection;

//# sourceMappingURL=TranslatedCollection.js.map